import 'package:flutter/material.dart';
import 'package:url_launcher/url_launcher.dart';
import 'package:webview_flutter_plus/webview_flutter_plus.dart';

import '../model/admob_settings.dart';

class CustomBannerAds extends StatefulWidget {
  AdmobSettings? admobSettings;

  CustomBannerAds({Key? key, required this.admobSettings})
      : super(key: key);

  void init(AdmobSettings admobSettings) {
    admobSettings = admobSettings;
  }

  @override
  _CustomBannerAdsState createState() => _CustomBannerAdsState();
}

class _CustomBannerAdsState extends State<CustomBannerAds> {

  /// It will lunch url to chrome browser.
  _launchURL(String url) async {
    if (await canLaunch(url)) {
      await launch(url);
    } else {
      throw 'Could not launch $url';
    }
  }

  @override
  Widget build(BuildContext context) {
    return WebViewPlus(
      navigationDelegate: (action) {
        return _launchURL(action.url);
      },
      javascriptMode: JavascriptMode.unrestricted,
      initialUrl:
      '${widget.admobSettings!.customAds!
          .bannerAdsUrl}',
    );
  }
}
