import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:url_launcher/url_launcher.dart';
import 'package:webview_flutter_plus/webview_flutter_plus.dart';
import '../model/admob_settings.dart';

class CustomInterstitialAds extends StatefulWidget {
  AdmobSettings? admobSettings;

  CustomInterstitialAds({Key? key, required this.admobSettings})
      : super(key: key);

  void init(AdmobSettings admobSettings) {
    admobSettings = admobSettings;
  }

  @override
  _CustomInterstitialAdsState createState() => _CustomInterstitialAdsState();
}

class _CustomInterstitialAdsState extends State<CustomInterstitialAds> {

  /// It will lunch url to chrome browser.
  _launchURL(String url) async {
    if (await canLaunch(url)) {
      await launch(url);
    } else {
      throw 'Could not launch $url';
    }
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        body: SafeArea(
          child: Stack(
      children: [
        WebViewPlus(
            gestureNavigationEnabled: true,
            navigationDelegate: (action) {
              Get.back();

              /// It will use to redirect chrome browser.
              return _launchURL(action.url);
            },
            javascriptMode: JavascriptMode.unrestricted,
            initialUrl: '${widget.admobSettings!.customAds!.interstitialAdsUrl}',
          ),
          Positioned(
            right: 10,
            top: 10,
            child: Align(
                alignment: Alignment.topRight,
                child: InkWell(
                    onTap: () {
                      Get.back();
                    },
                    child: Container(
                        padding: const EdgeInsets.all(2),
                        decoration: const BoxDecoration(
                            color: Colors.white,
                            borderRadius: BorderRadius.all(Radius.circular(300))),
                        child: Container(
                            padding: const EdgeInsets.all(2),
                            decoration: const BoxDecoration(
                                color: Colors.black,
                                borderRadius:
                                BorderRadius.all(Radius.circular(300))),
                            child: const Icon(
                              Icons.close,
                              color: Colors.white,
                              size: 15,
                            ))))),
          )
      ],
    ),
        ));
  }
}
