import 'package:flutter/material.dart';
import 'ads/banner_ads.dart';
import 'ads/interstitial_ads.dart';
import 'ads/model/admob_settings.dart';

class BcsAdsManager {

  static late AdmobSettings _admobSettings;
  static late bool _isTestAds = false;

  static init({required Map<String,dynamic> admobSettingsJson,bool isTestAds = false})
  {
    _admobSettings = AdmobSettings.fromJson(admobSettingsJson);
    _isTestAds = isTestAds;
    InterstitialAds.init(_admobSettings, _isTestAds);
  }

  static Widget showBannerAds()
  {
    return BannerAds(admobSettings: _admobSettings, isTestAds:_isTestAds);
  }

  static Future<void> showInterstitialAds(BuildContext context)
  async {
    await InterstitialAds.showInterstitialAds(context);
  }

}
